---
title: Get information about all configured scheduled jobs
slug: campaign/api/get-information-about-all-configured-scheduled-jobs
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "DVhh684I_6bWJn1hlpFoS",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured"
      }
    ],
    "name": "Get information about all configured scheduled jobs",
    "description": "<p>Get detailed information about all configured scheduled jobs, such as name, description, triggers.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of retrieved configured scheduled jobs Default value : 100</p>",
          "format": "int32"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>All configured scheduled jobs were retrieved successfully (empty result if none was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestConfiguredJobStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestConfiguredJob",
                "customType": "RestConfiguredJob[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the scheduled job"
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of the scheduled job"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "Type of the scheduled job"
                  },
                  {
                    "name": "jobData",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "triggers",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/RestJobTrigger",
                    "customType": "RestJobTrigger[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": "Trigger name"
                      },
                      {
                        "name": "state",
                        "kind": "optional",
                        "type": "string",
                        "description": "Trigger status"
                      },
                      {
                        "name": "nextFireTime",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Date and time of the next trigger fire",
                        "format": "date-time"
                      },
                      {
                        "name": "lastFiredTime",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Date and time of the last trigger fire",
                        "format": "date-time"
                      },
                      {
                        "name": "started",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Start date and time of the trigger",
                        "format": "date-time"
                      },
                      {
                        "name": "finished",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Finish date and time of the trigger",
                        "format": "date-time"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestConfiguredJobStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid limit request. Change the limit to less than 10000.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "IP address was not allowed to access jobs rest api server.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "_jgDpUBnUX9ZIruj6Vp00",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured \\\n     --header 'accept: application/json'"
        },
        {
          "id": "bTCAsFXSXGxzb2cxLItPv",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "zJML26kMNeeccAFHfxYHn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "W3u2RWMQ8sl2u9_WORs35",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/customerjobs/configured\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "_jgDpUBnUX9ZIruj6Vp00"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// All configured scheduled jobs were retrieved successfully (empty result if none was found).\n{\n  \"elements\": [\n    {\n      \"name\": \"\",\n      \"description\": \"\",\n      \"type\": \"\",\n      \"jobData\": \"\",\n      \"triggers\": [\n        {\n          \"name\": \"\",\n          \"state\": \"\",\n          \"nextFireTime\": \"\",\n          \"lastFiredTime\": \"\",\n          \"started\": \"\",\n          \"finished\": \"\"\n        }\n      ]\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid limit request. Change the limit to less than 10000.\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// IP address was not allowed to access jobs rest api server.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}